Subject: libosmocore.git annotated tag 0.6.3 created. 0.6.3
From: [email-masked]
To: [email-masked]
Date: Fri, 9 Aug 2013 15:46:22 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "An utility library for Open Source Mobile Communications".

The annotated tag, 0.6.3 has been created
        at  4e3218956610cc7d081403b33737941d5ed16a29 (tag)
   tagging  f136013f0d2c2b3156ff3ba26c6257d83e66187b (commit)
  replaces  0.6.1
 tagged by  Holger Hans Peter Freyther
        on  Fri Aug 9 17:45:36 2013 +0200

- Log -----------------------------------------------------------------
This is 0.6.3

Andreas Eversberg (12):
      Add LAPDm collision test (contention resolution on network side)
      Remove osmo_phsap_prim from lapdm.h and move to a seperate header file
      Add MPH and TCH primitives to layer 1 SAP
      Add RSSI to l1sap
      Add chan_nr to RACH info at L1SAP interface
      LAPDm: Fix re-establishment of datalink
      LAPDm: Allow sending unit data on DCCH
      Fix RR cause values
      Fix encoding of last character at 7bit encoding function
      Fix: Handle returned length by gsm_7bit_encode correctly
      LAPD: Free resume/re-establishment msgb if it carries no content
      Add special 7-bit encoding and decoding functions for USSD coding

Dmitri Soloviev (1):
      gsm0808.c: Add TLV definition for LAYER3_HEADER_INFORMATION

Harald Welte (5):
      introduce gsm0808_create_reset_ack()
      BSSGP: prevent divide-by-zero in flow control
      Merge branch 'jolly/trx'
      utils.h: we need to include utils.h for osmo_generate_backtrace()
      make lapd_test compile again.

Holger Hans Peter Freyther (16):
      lapd: The two known LAPDm issues have been addressed, update the test
      lapd: Upate the assert to OSMO_ASSERT and describe what we would like to have
      fr: Fix the linking of the test and use $(LIBRARY_DL) for linking
      debian: Prepare the 0.6.2 release with a new changelog
      misc: Fix compiler warnings about the static_assert macro with gcc 4.8
      strrb: Remove a tautology from the code
      gsm0408: Avoid unaligned memory access in gsm48_generate_mid_from_tmsi
      vty: Attempt to fix various meam leaks in the VTY lookup code
      get_value_string: Null terminate after the call to snprintf
      libosmogb: Add function to close NS instance without destroying it
      gsm: Revert the gsm_7bit_encode changes as they are wrong
      vty: Fix logically dead code in the description handling
      utils: Fix compiler warnings n the osmo-auc-gen utility
      gsm: Try to clarify why we have gsm_septet_encode in the header file
      encoding: Provide an overload for the gsm_7bit_encode and a simple test
      gsm: The LAPDm prim/structs changed, increment current version

Jacob Erlbeck (3):
      vty: Fix misusage of snprintf in vty/utils.c
      vty: Support multi-char separators and end strings
      ussd: Changed 7bit test to check spec conformance directly

-----------------------------------------------------------------------

hooks/post-receive
-- 
An utility library for Open Source Mobile Communications